Skip to main content
POST
/
environment
/
{environmentId}
/
checkContainerImage
Check container image configuration is correct
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/checkContainerImage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image_name": "<string>",
  "tag": "<string>",
  "registry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
image_name
string
required
tag
string
required
registry_id
string<uuid>

Response

Information about the image

The response is of type object.